enableSaving [false, false];

{
	_x params ["_unit"];
	{
		_unit disableAI _x
	} foreach ["TARGET", "AUTOTARGET", "MOVE", "FSM", "CHECKVISIBLE", "AUTOCOMBAT"];
} foreach allUnits;

drawIcon3D_ID = addMissionEventHandler ["Draw3D", {
	{
		_headPos = _x selectionPosition ["head", "HitPoints"];
		drawIcon3D ["\a3\ui_f\data\gui\cfg\cursors\add_gs.paa", [1, 1, 1, 1], _x modelToWorldVisual _headPos, 0.25, 0.25, 0, "head"];
		_neckPos = _x selectionPosition ["neck", "HitPoints"];
		drawIcon3D ["\a3\ui_f\data\gui\cfg\cursors\add_gs.paa", [1, 1, 1, 1], _x modelToWorldVisual _neckPos, 0.25, 0.25, 0, "neck"];
		_eyePos = ASLToAGL eyePos _x;
		drawIcon3D ["\a3\ui_f\data\gui\cfg\cursors\add_gs.paa", [1, 1, 1, 1], _eyePos, 0.25, 0.25, 0, "eye"];
	} foreach (allUnits - [player]);
}];

fnc_addLine = {
	drawLine3D_ID = addMissionEventHandler ["Draw3D", {
		_eyePosTopGuy = ASLToAGL eyePos topGuy;
		_eyePosBotGuy = ASLToAGL eyePos botGuy;
		drawLine3D [_eyePosTopGuy, _eyePosBotGuy, [1, 0, 0, 1]];
	}];
	drawLineOn = true;
};

fnc_removeLine = {
	removeMissionEventHandler ["Draw3D", drawLine3D_ID];
	drawLineOn = false;
};

[] call fnc_addLine;

player addAction ["Draw Line Between Eyes", {[] call fnc_addLine}, nil, 1.5, true, true, "", "!drawLineOn"];
player addAction ["Remove Line Between Eyes", {[] call fnc_removeLine}, nil, 1.5, true, true, "", "drawLineOn"];

fnc_switchGuy = {
	params ["_guy"];
	selectPlayer _guy;
	removeAllActions player;
	player addAction ["Draw Line Between Eyes", {[] call fnc_addLine}, nil, 1.5, true, true, "", "!drawLineOn"];
	player addAction ["Remove Line Between Eyes", {[] call fnc_removeLine}, nil, 1.5, true, true, "", "drawLineOn"];
	player addAction ["Switch to Top Guy", {[topGuy] call fnc_switchGuy}, nil, 1.5, true, true, "", "player != topGuy"];
	player addAction ["Switch to Bot Guy", {[botGuy] call fnc_switchGuy}, nil, 1.5, true, true, "", "player != botGuy"];
	player addAction ["Switch to Civ", {[civGuy] call fnc_switchGuy}, nil, 1.5, true, true, "", "player != civGuy"];
};

player addAction ["Switch to Top Guy", {[topGuy] call fnc_switchGuy}, nil, 1.5, true, true, "", "player != topGuy"];
player addAction ["Switch to Bot Guy", {[botGuy] call fnc_switchGuy}, nil, 1.5, true, true, "", "player != botGuy"];
player addAction ["Switch to Civ", {[civGuy] call fnc_switchGuy}, nil, 1.5, true, true, "", "player != civGuy"];
